From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/docbook-xsl-stylesheets/
Date: Sun, 24 Feb 2019 10:53:34 +0000 (UTC) [thread overview]
Message-ID: <1551005579.394c6f7dd050f36515200846bd597284a7a3f0cd.pacho@gentoo> (raw)
commit: 394c6f7dd050f36515200846bd597284a7a3f0cd
Author: Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 24 09:37:22 2019 +0000
Commit: Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Feb 24 10:52:59 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=394c6f7d
app-text/docbook-xsl-stylesheets: Fix prefix support
Thanks-to: James R Larrowe
Closes: https://bugs.gentoo.org/676646
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>
.../docbook-xsl-stylesheets-1.79.1-r2.ebuild | 17 +++++++++--------
1 file changed, 9 insertions(+), 8 deletions(-)
diff --git a/app-text/docbook-xsl-stylesheets/docbook-xsl-stylesheets-1.79.1-r2.ebuild b/app-text/docbook-xsl-stylesheets/docbook-xsl-stylesheets-1.79.1-r2.ebuild
index 66d7cf90e11..fcf22a76752 100644
--- a/app-text/docbook-xsl-stylesheets/docbook-xsl-stylesheets-1.79.1-r2.ebuild
+++ b/app-text/docbook-xsl-stylesheets/docbook-xsl-stylesheets-1.79.1-r2.ebuild
@@ -1,13 +1,12 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-
USE_RUBY="ruby22 ruby23 ruby24 ruby25"
inherit ruby-single
-DOCBOOKDIR="/usr/share/sgml/${PN/-//}"
+DOCBOOKDIR="${EPREFIX}/usr/share/sgml/${PN/-//}"
MY_PN="${PN%-stylesheets}"
MY_P="${MY_PN}-${PV}"
@@ -20,8 +19,10 @@ SLOT="0"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="ruby"
-RDEPEND=">=app-text/build-docbook-catalog-1.1
- ruby? ( ${RUBY_DEPS} )"
+RDEPEND="
+ >=app-text/build-docbook-catalog-1.1
+ ruby? ( ${RUBY_DEPS} )
+"
S="${WORKDIR}/${MY_P}"
@@ -42,7 +43,7 @@ src_prepare() {
-printf "removed %p\n" -delete || die
if ! use ruby; then
- rm -rv epub/ || die
+ rm -rv epub/ || die
fi
}
@@ -83,12 +84,12 @@ src_install() {
# we can't use a symlink or it'll look for the library in the
# wrong path.
dodir /usr/bin
- cat - > "${D}"/usr/bin/${cmd} <<EOF
+ cat - > "${D}"${EPREFIX}/usr/bin/${cmd} <<EOF
#!/usr/bin/env ruby
load "${DOCBOOKDIR}/epub/bin/dbtoepub"
EOF
- fperms 0755 /usr/bin/${cmd}
+ fperms 0755 ${EPREFIX}/usr/bin/${cmd}
fi
}
next reply other threads:[~2019-02-24 10:53 UTC|newest]
Thread overview: 53+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-02-24 10:53 Pacho Ramos [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-07 9:24 [gentoo-commits] repo/gentoo:master commit in: app-text/docbook-xsl-stylesheets/ Sam James
2024-04-05 15:27 Arthur Zamarin
2023-06-12 4:08 Sam James
2023-06-12 4:08 Sam James
2023-05-16 18:04 Arthur Zamarin
2023-05-16 16:53 Sam James
2023-05-13 9:47 Arthur Zamarin
2023-05-13 9:02 Arthur Zamarin
2023-05-13 8:37 Arthur Zamarin
2023-05-13 8:37 Arthur Zamarin
2023-05-13 8:37 Arthur Zamarin
2023-05-13 8:37 Arthur Zamarin
2023-04-10 7:13 Hans de Graaff
2022-12-17 8:37 Hans de Graaff
2022-06-23 20:12 David Seifert
2021-10-07 2:48 Sam James
2021-07-18 5:59 Hans de Graaff
2020-12-27 14:01 Fabian Groffen
2020-07-22 9:02 Hans de Graaff
2019-05-04 14:43 Andreas K. Hüttel
2019-03-01 11:22 Michael Haubenwallner
2018-03-22 6:50 Hans de Graaff
2017-12-05 16:42 Mike Gilbert
2017-12-05 16:42 Mike Gilbert
2017-12-04 14:41 Agostino Sarubbo
2017-12-03 18:08 Sergei Trofimovich
2017-11-25 19:55 David Seifert
2017-04-12 19:30 Mike Frysinger
2017-04-08 12:25 James Le Cuirot
2017-04-07 9:14 Jeroen Roovers
2017-02-24 0:13 Michael Weber
2017-02-18 14:44 Agostino Sarubbo
2017-02-17 10:56 Agostino Sarubbo
2017-02-15 13:49 Tobias Klausmann
2017-02-12 17:01 Agostino Sarubbo
2017-02-12 15:44 Agostino Sarubbo
2017-02-07 11:28 Agostino Sarubbo
2016-12-09 20:16 Mike Frysinger
2016-12-03 9:27 Hans de Graaff
2016-03-13 21:28 James Le Cuirot
2016-02-29 8:46 Stephen Klimaszewski
2016-01-24 7:51 Jeroen Roovers
2016-01-11 9:07 Agostino Sarubbo
2016-01-10 10:34 Agostino Sarubbo
2016-01-09 6:43 Agostino Sarubbo
2016-01-07 20:38 Markus Meier
2015-12-27 11:28 Lars Wendler
2015-12-26 10:36 Agostino Sarubbo
2015-12-25 16:20 Agostino Sarubbo
2015-12-14 14:12 Agostino Sarubbo
2015-12-14 12:11 Lars Wendler
2015-10-19 20:04 Lars Wendler
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1551005579.394c6f7dd050f36515200846bd597284a7a3f0cd.pacho@gentoo \
--to=pacho@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox